=== Modules/CMakeLists.txt ===
# This file is a part of the OpenSurgSim project.
# Copyright 2012-2013, SimQuest Solutions Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

file(GLOB MODULES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*)
foreach(MODULE ${MODULES})
	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${MODULE}/CMakeLists.txt)
		string(TOUPPER ${MODULE} MODULE_UPPER_CASE)
		option(BUILD_MODULE_${MODULE_UPPER_CASE} "Build ${MODULE} module." OFF)
		if(BUILD_MODULE_${MODULE_UPPER_CASE})
			add_subdirectory(${MODULE})
		endif(BUILD_MODULE_${MODULE_UPPER_CASE})
	endif()
endforeach()
