=== debian/control ===
Source: opensurgsim
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Paul Novotny <paul@paulnovo.us>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-linktree,
               dh-exec,
               libboost-chrono-dev,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-thread-dev,
               cmake,
               doxygen,
               libeigen3-dev,
               googletest,
               libjs-jquery,
               libjs-mathjax,
               libopenscenegraph-dev,
               libyaml-cpp-dev (>= 0.5.2),
               libgmock-dev,
               libgtest-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/opensurgsim
Vcs-Git: https://salsa.debian.org/med-team/opensurgsim.git
Homepage: http://www.opensurgsim.org/

Package: libopensurgsim
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Free platform for surgical simulation - runtime
 OpenSurgSim is C++ toolkit for developing real-time surgical simulations. It
 lets you build simulators using the included building blocks, such as input
 device support, haptic feedback, graphics, collision detection and physics
 simulation.
 .
 This package contains the libraries needed to run OpenSurgSim
 applications.

Package: libopensurgsim-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libopensurgsim (= ${binary:Version}),
         libboost-chrono-dev,
         libboost-date-time-dev,
         libboost-filesystem-dev,
         libboost-system-dev,
         libboost-thread-dev,
         libeigen3-dev,
         libopenscenegraph-dev,
         libyaml-cpp-dev
Description: Free platform for surgical simulation - development
 OpenSurgSim is C++ toolkit for developing real-time surgical simulations. It
 lets you build simulators using the included building blocks, such as input
 device support, haptic feedback, graphics, collision detection and physics
 simulation.
 .
 This package contains the development files needed to build your
 own OpenSurgSim applications.

Package: opensurgsim-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-mathjax
Suggests: libopensurgsim-dev,
          libopensurgsim
Description: Free platform for surgical simulation - documentation
 OpenSurgSim is C++ toolkit for developing real-time surgical simulations. It
 lets you build simulators using the included building blocks, such as input
 device support, haptic feedback, graphics, collision detection and physics
 simulation.
 .
 This package contains the Doxygen documentation files.
