=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/opensurgsim-$1\.tar\.gz/ \
  https://github.com/simquest/opensurgsim/releases .*/v?(\d\S*)\.tar\.gz
